Edit TPN
API ExplorerThis API allows you to enable/disable specific features at the TPN level Currently Supported - Enable/disable SPIn integration and configure the integration type and mode.
Authorization
AuthorizationHeader token(Enter the auth token generated from the authentication endpoint)<token>
Authentication token generated using the API Key and Secret Key. Required for all API requests.
In: header
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com" \ -H "Content-Type: application/json" \ -d '{ "tpnId": "abcdef123456", "integrationDetails": { "integrationType": "spin", "spinMode": "cloud", "isvName": "iPOSpays", "deviceModel": "P1" } }'{
"spinData": {
"registerId": "7263204",
"authKey": ""
},
"message": "parameters updated successfully.",
"statusCode": 200,
"request_id": "TEST-20260303073848-70PWFL",
"timestamp": "2026-03-03T07:38:48.542Z"
}{
"message": "TPN data not found",
"statusCode": 404,
"request_id": "TEST-20260303074115-N1I_VW",
"timestamp": "2026-03-03T07:41:15.342Z"
}